## python-qt4 4.7-maemo5

=== Makefile ===

all:
	@(cd qpy; $(MAKE))
	@(cd QtCore; $(MAKE))
	@(cd QtGui; $(MAKE))
	@(cd QtHelp; $(MAKE))
	@(cd QtNetwork; $(MAKE))
	@(cd QtOpenGL; $(MAKE))
	@(cd QtScript; $(MAKE))
	@(cd QtScriptTools; $(MAKE))
	@(cd QtSql; $(MAKE))
	@(cd QtSvg; $(MAKE))
	@(cd QtTest; $(MAKE))
	@(cd QtWebKit; $(MAKE))
	@(cd QtXml; $(MAKE))
	@(cd QtXmlPatterns; $(MAKE))
	@(cd phonon; $(MAKE))
	@(cd QtAssistant; $(MAKE))
	@(cd QtDesigner; $(MAKE))
	@(cd Qt; $(MAKE))
	@(cd dbus; $(MAKE))
	@(cd pyuic; $(MAKE))
	@(cd pylupdate; $(MAKE))
	@(cd pyrcc; $(MAKE))
	@(cd designer; $(MAKE))

install:
	@(cd qpy; $(MAKE) install)
	@(cd QtCore; $(MAKE) install)
	@(cd QtGui; $(MAKE) install)
	@(cd QtHelp; $(MAKE) install)
	@(cd QtNetwork; $(MAKE) install)
	@(cd QtOpenGL; $(MAKE) install)
	@(cd QtScript; $(MAKE) install)
	@(cd QtScriptTools; $(MAKE) install)
	@(cd QtSql; $(MAKE) install)
	@(cd QtSvg; $(MAKE) install)
	@(cd QtTest; $(MAKE) install)
	@(cd QtWebKit; $(MAKE) install)
	@(cd QtXml; $(MAKE) install)
	@(cd QtXmlPatterns; $(MAKE) install)
	@(cd phonon; $(MAKE) install)
	@(cd QtAssistant; $(MAKE) install)
	@(cd QtDesigner; $(MAKE) install)
	@(cd Qt; $(MAKE) install)
	@(cd dbus; $(MAKE) install)
	@(cd pyuic; $(MAKE) install)
	@(cd pylupdate; $(MAKE) install)
	@(cd pyrcc; $(MAKE) install)
	@(cd designer; $(MAKE) install)
	@test -d $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4 || mkdir -p $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4
	cp -f /home/maemo/python-qt4-4.7/__init__.py $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/__init__.py
	cp -f pyqtconfig.py $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/pyqtconfig.py

clean:
	@(cd qpy; $(MAKE) clean)
	@(cd QtCore; $(MAKE) clean)
	@(cd QtGui; $(MAKE) clean)
	@(cd QtHelp; $(MAKE) clean)
	@(cd QtNetwork; $(MAKE) clean)
	@(cd QtOpenGL; $(MAKE) clean)
	@(cd QtScript; $(MAKE) clean)
	@(cd QtScriptTools; $(MAKE) clean)
	@(cd QtSql; $(MAKE) clean)
	@(cd QtSvg; $(MAKE) clean)
	@(cd QtTest; $(MAKE) clean)
	@(cd QtWebKit; $(MAKE) clean)
	@(cd QtXml; $(MAKE) clean)
	@(cd QtXmlPatterns; $(MAKE) clean)
	@(cd phonon; $(MAKE) clean)
	@(cd QtAssistant; $(MAKE) clean)
	@(cd QtDesigner; $(MAKE) clean)
	@(cd Qt; $(MAKE) clean)
	@(cd dbus; $(MAKE) clean)
	@(cd pyuic; $(MAKE) clean)
	@(cd pylupdate; $(MAKE) clean)
	@(cd pyrcc; $(MAKE) clean)
	@(cd designer; $(MAKE) clean)

=== QtScriptTools/Makefile ===
TARGET = QtScriptTools.so
OFILES = sipQtScriptToolscmodule.o sipQtScriptToolsQScriptEngineDebugger.o
HFILES = sipAPIQtScriptTools.h 

CC = gcc
CXX = g++
LINK = g++
CPPFLAGS = -DNDEBUG -DSIP_PROTECTED_IS_PUBLIC -Dprotected=public -DQT_NO_DEBUG -DQT_SCRIPTTOOLS_LIB -DQT_GUI_LIB -DQT_SCRIPT_LIB -DQT_CORE_LIB -I. -I/usr/include/python2.5 -I/usr/mkspecs/linux-g++ -I/usr/include/qt4/QtScriptTools -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtScript -I/usr/include/qt4/QtCore -I/usr/include/qt4 -I/usr/include/X11
CFLAGS = -pipe -fPIC -O3 -g -Wall -W -D_REENTRANT
CXXFLAGS = -pipe -fPIC -O3 -g -Wall -W -D_REENTRANT
LFLAGS = -shared -Wl,-O1 -Wl,-rpath,/usr/lib -Wl,--version-script=QtScriptTools.exp
LIBS = -L/usr/lib -Wl,-rpath-link=/usr/lib -lQtScriptTools -lQtGui -lQtScript -lQtCore -lXext -lX11 -lm -lz -lXau -lxcb -lXdmcp -lexpat -lpthread
MOC = /usr/bin/moc
.SUFFIXES: .c .o .cpp .cc .cxx .C


.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

all: $(TARGET)

$(OFILES): $(HFILES)

$(TARGET): $(OFILES)
	@echo '{ global: initQtScriptTools; local: *; };' > QtScriptTools.exp
	$(LINK) $(LFLAGS) -o $(TARGET) $(OFILES) $(LIBS)

install: $(TARGET)
	@test -d $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4 || mkdir -p $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4
	cp -f $(TARGET) $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	strip $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	@test -d $(DESTDIR)/usr/share/sip/PyQt4/QtScriptTools || mkdir -p $(DESTDIR)/usr/share/sip/PyQt4/QtScriptTools
	cp -f /home/maemo/python-qt4-4.7/sip/QtScriptTools/qscriptenginedebugger.sip $(DESTDIR)/usr/share/sip/PyQt4/QtScriptTools/qscriptenginedebugger.sip
	cp -f /home/maemo/python-qt4-4.7/sip/QtScriptTools/QtScriptToolsmod.sip $(DESTDIR)/usr/share/sip/PyQt4/QtScriptTools/QtScriptToolsmod.sip

clean:
	-rm -f $(TARGET)
	-rm -f sipQtScriptToolscmodule.o
	-rm -f sipQtScriptToolsQScriptEngineDebugger.o
	-rm -f QtScriptTools.exp

=== QtXml/Makefile ===
TARGET = QtXml.so
OFILES = sipQtXmlcmodule.o sipQtXmlQXmlDefaultHandler.o sipQtXmlQXmlDeclHandler.o sipQtXmlQXmlLexicalHandler.o sipQtXmlQXmlEntityResolver.o sipQtXmlQXmlDTDHandler.o sipQtXmlQXmlErrorHandler.o sipQtXmlQXmlContentHandler.o sipQtXmlQXmlLocator.o sipQtXmlQXmlSimpleReader.o sipQtXmlQXmlReader.o sipQtXmlQXmlParseException.o sipQtXmlQXmlInputSource.o sipQtXmlQXmlAttributes.o sipQtXmlQXmlNamespaceSupport.o sipQtXmlQDomProcessingInstruction.o sipQtXmlQDomEntityReference.o sipQtXmlQDomEntity.o sipQtXmlQDomNotation.o sipQtXmlQDomCDATASection.o sipQtXmlQDomComment.o sipQtXmlQDomText.o sipQtXmlQDomElement.o sipQtXmlQDomAttr.o sipQtXmlQDomCharacterData.o sipQtXmlQDomDocumentFragment.o sipQtXmlQDomNamedNodeMap.o sipQtXmlQDomDocument.o sipQtXmlQDomDocumentType.o sipQtXmlQDomNodeList.o sipQtXmlQDomNode.o sipQtXmlQDomImplementation.o
HFILES = sipAPIQtXml.h 

CC = gcc
CXX = g++
LINK = g++
CPPFLAGS = -DNDEBUG -DSIP_PROTECTED_IS_PUBLIC -Dprotected=public -DQT_NO_DEBUG -DQT_XML_LIB -DQT_CORE_LIB -I. -I/usr/include/python2.5 -I/usr/mkspecs/linux-g++ -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtCore -I/usr/include/qt4 -I/usr/include/X11
CFLAGS = -pipe -fPIC -O3 -g -Wall -W -D_REENTRANT
CXXFLAGS = -pipe -fPIC -O3 -g -Wall -W -D_REENTRANT
LFLAGS = -shared -Wl,-O1 -Wl,-rpath,/usr/lib -Wl,--version-script=QtXml.exp
LIBS = -L/usr/lib -Wl,-rpath-link=/usr/lib -lQtXml -lQtCore -lXext -lX11 -lm -lz -lXau -lxcb -lXdmcp -lexpat -lpthread
MOC = /usr/bin/moc
.SUFFIXES: .c .o .cpp .cc .cxx .C


.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

all: $(TARGET)

$(OFILES): $(HFILES)

$(TARGET): $(OFILES)
	@echo '{ global: initQtXml; local: *; };' > QtXml.exp
	$(LINK) $(LFLAGS) -o $(TARGET) $(OFILES) $(LIBS)

install: $(TARGET)
	@test -d $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4 || mkdir -p $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4
	cp -f $(TARGET) $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	strip $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	@test -d $(DESTDIR)/usr/share/sip/PyQt4/QtXml || mkdir -p $(DESTDIR)/usr/share/sip/PyQt4/QtXml
	cp -f /home/maemo/python-qt4-4.7/sip/QtXml/qdom.sip $(DESTDIR)/usr/share/sip/PyQt4/QtXml/qdom.sip
	cp -f /home/maemo/python-qt4-4.7/sip/QtXml/qxmlstream.sip $(DESTDIR)/usr/share/sip/PyQt4/QtXml/qxmlstream.sip
	cp -f /home/maemo/python-qt4-4.7/sip/QtXml/QtXmlmod.sip $(DESTDIR)/usr/share/sip/PyQt4/QtXml/QtXmlmod.sip
	cp -f /home/maemo/python-qt4-4.7/sip/QtXml/qxml.sip $(DESTDIR)/usr/share/sip/PyQt4/QtXml/qxml.sip

clean:
	-rm -f $(TARGET)
	-rm -f sipQtXmlcmodule.o
	-rm -f sipQtXmlQXmlDefaultHandler.o
	-rm -f sipQtXmlQXmlDeclHandler.o
	-rm -f sipQtXmlQXmlLexicalHandler.o
	-rm -f sipQtXmlQXmlEntityResolver.o
	-rm -f sipQtXmlQXmlDTDHandler.o
	-rm -f sipQtXmlQXmlErrorHandler.o
	-rm -f sipQtXmlQXmlContentHandler.o
	-rm -f sipQtXmlQXmlLocator.o
	-rm -f sipQtXmlQXmlSimpleReader.o
	-rm -f sipQtXmlQXmlReader.o
	-rm -f sipQtXmlQXmlParseException.o
	-rm -f sipQtXmlQXmlInputSource.o
	-rm -f sipQtXmlQXmlAttributes.o
	-rm -f sipQtXmlQXmlNamespaceSupport.o
	-rm -f sipQtXmlQDomProcessingInstruction.o
	-rm -f sipQtXmlQDomEntityReference.o
	-rm -f sipQtXmlQDomEntity.o
	-rm -f sipQtXmlQDomNotation.o
	-rm -f sipQtXmlQDomCDATASection.o
	-rm -f sipQtXmlQDomComment.o
	-rm -f sipQtXmlQDomText.o
	-rm -f sipQtXmlQDomElement.o
	-rm -f sipQtXmlQDomAttr.o
	-rm -f sipQtXmlQDomCharacterData.o
	-rm -f sipQtXmlQDomDocumentFragment.o
	-rm -f sipQtXmlQDomNamedNodeMap.o
	-rm -f sipQtXmlQDomDocument.o
	-rm -f sipQtXmlQDomDocumentType.o
	-rm -f sipQtXmlQDomNodeList.o
	-rm -f sipQtXmlQDomNode.o
	-rm -f sipQtXmlQDomImplementation.o
	-rm -f QtXml.exp

=== dbus/Makefile ===
TARGET = qt.so
OFILES = dbus.o moc_helper.o
HFILES =  helper.h

CC = gcc
CXX = g++
LINK = g++
CPPFLAGS = -DNDEBUG -DQT_NO_DEBUG -DQT_CORE_LIB -I. -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/python2.5 -I/usr/mkspecs/linux-g++ -I/usr/include/qt4/QtCore -I/usr/include/qt4 -I/usr/include/X11
CFLAGS = -pipe -fPIC -O3 -g -Wall -W -D_REENTRANT
CXXFLAGS = -pipe -fPIC -O3 -g -Wall -W -D_REENTRANT
LFLAGS = -shared -Wl,-O1 -Wl,-rpath,/usr/lib -Wl,--version-script=qt.exp
LIBS = -L/usr/lib -ldbus-1 -lpthread -Wl,-rpath-link=/usr/lib -lQtCore -lXext -lX11 -lm -lz -lXau -lxcb -lXdmcp -lexpat -lpthread
MOC = /usr/bin/moc
.SUFFIXES: .c .o .cpp .cc .cxx .C


.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

all: $(TARGET)

$(OFILES): $(HFILES)

moc_helper.cpp: helper.h
	$(MOC) -o moc_helper.cpp helper.h

$(TARGET): $(OFILES)
	@echo '{ global: initqt; local: *; };' > qt.exp
	$(LINK) $(LFLAGS) -o $(TARGET) $(OFILES) $(LIBS)

install: $(TARGET)
	@test -d $(DESTDIR)/usr/lib/pymodules/python2.5/dbus/mainloop || mkdir -p $(DESTDIR)/usr/lib/pymodules/python2.5/dbus/mainloop
	cp -f $(TARGET) $(DESTDIR)/usr/lib/pymodules/python2.5/dbus/mainloop/$(TARGET)
	strip $(DESTDIR)/usr/lib/pymodules/python2.5/dbus/mainloop/$(TARGET)

clean:
	-rm -f $(TARGET)
	-rm -f dbus.o
	-rm -f moc_helper.o
	-rm -f moc_helper.cpp
	-rm -f qt.exp

=== designer/Makefile ===
#############################################################################
# Makefile for building: libpythonplugin.so
# Generated by qmake (2.01a) (Qt 4.5.3) on: Mon Feb 1 23:05:16 2010
# Project:  python.pro
# Template: lib
# Command: /usr/bin/qmake -unix -o Makefile python.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DPYTHON_LIB=\"libpython2.5.so\" -DQT_NO_DEBUG -DQT_PLUGIN -DQT_SCRIPT_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQDESIGNER_EXPORT_WIDGETS -DQT_SHARED
CFLAGS        = -pipe -O3 -g -D_REENTRANT -Wall -W -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O3 -g -D_REENTRANT -Wall -W -fPIC $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-gles2 -I. -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtDesigner -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtXml -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtScript -I/targets/FREMANTLE_ARMEL/usr/include/qt4 -I/targets/FREMANTLE_ARMEL/usr/include/python2.5 -I.
LINK          = g++
LFLAGS        = -Wl,-O1 -shared
LIBS          = $(SUBLIBS)  -L/usr/lib -Wl,-rpath-link=/usr/lib -L/usr/lib -lpython2.5 -lQtScript -lQtXml -lQtGui -lQtCore -lQtDesigner -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = pluginloader.cpp moc_pluginloader.cpp
OBJECTS       = pluginloader.o \
		moc_pluginloader.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/designer.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		python.pro
QMAKE_TARGET  = pythonplugin
DESTDIR       = 
TARGET        = libpythonplugin.so
TARGETD       = libpythonplugin.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  $(TARGET)

$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)



Makefile: python.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-gles2/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/designer.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtScript.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtDesigner.prl
	$(QMAKE) -unix -o Makefile python.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/designer.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtScript.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtDesigner.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile python.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/pythonplugin1.0.0 || $(MKDIR) .tmp/pythonplugin1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/pythonplugin1.0.0/ && $(COPY_FILE) --parents pluginloader.h .tmp/pythonplugin1.0.0/ && $(COPY_FILE) --parents pluginloader.cpp .tmp/pythonplugin1.0.0/ && (cd `dirname .tmp/pythonplugin1.0.0` && $(TAR) pythonplugin1.0.0.tar pythonplugin1.0.0 && $(COMPRESS) pythonplugin1.0.0.tar) && $(MOVE) `dirname .tmp/pythonplugin1.0.0`/pythonplugin1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/pythonplugin1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_pluginloader.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_pluginloader.cpp
moc_pluginloader.cpp: pluginloader.h
	/usr/bin/moc $(DEFINES) $(INCPATH) pluginloader.h -o moc_pluginloader.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

pluginloader.o: pluginloader.cpp pluginloader.h \
		../qpy/QtDesigner/qpydesignercustomwidgetplugin.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o pluginloader.o pluginloader.cpp

moc_pluginloader.o: moc_pluginloader.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_pluginloader.o moc_pluginloader.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/lib/qt4/plugins/designer/ || $(MKDIR) $(INSTALL_ROOT)/usr/lib/qt4/plugins/designer/ 
	-$(INSTALL_PROGRAM) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/qt4/plugins/designer/$(TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/qt4/plugins/designer/$(TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/lib/qt4/plugins/designer/ 


install_python: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/lib/qt4/plugins/designer/ || $(MKDIR) $(INSTALL_ROOT)/usr/lib/qt4/plugins/designer/ 
	-$(INSTALL_DIR) /home/maemo/python-qt4-4.7/designer/python $(INSTALL_ROOT)/usr/lib/qt4/plugins/designer/


uninstall_python:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/lib/qt4/plugins/designer/python
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/lib/qt4/plugins/designer/ 


install:  install_target install_python  FORCE

uninstall: uninstall_target uninstall_python   FORCE

FORCE:

=== qpy/QtCore/Makefile ===
#############################################################################
# Makefile for building: libqpycore.a
# Generated by qmake (2.01a) (Qt 4.5.3) on: Mon Feb 1 23:05:09 2010
# Project:  w_qpycore.pro
# Template: lib
# Command: /usr/bin/qmake -unix -o Makefile w_qpycore.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -g -fPIC -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -fno-strict-aliasing -O3 -g -fPIC -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-gles2 -I. -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/qt4 -I/targets/FREMANTLE_ARMEL/usr/include/python2.5 -I../../QtCore -I. -I.
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = qpycore_chimera.cpp \
		qpycore_chimera_signature.cpp \
		qpycore_chimera_storage.cpp \
		qpycore_init.cpp \
		qpycore_misc.cpp \
		qpycore_post_init.cpp \
		qpycore_pyqtboundsignal.cpp \
		qpycore_pyqtconfigure.cpp \
		qpycore_pyqtproperty.cpp \
		qpycore_pyqtproxy.cpp \
		qpycore_pyqtpyobject.cpp \
		qpycore_pyqtsignal.cpp \
		qpycore_pyqtslot.cpp \
		qpycore_qmetaobject.cpp \
		qpycore_qmetaobject_helpers.cpp \
		qpycore_qobject_helpers.cpp \
		qpycore_qstring.cpp \
		qpycore_qstringlist.cpp \
		qpycore_sip_helpers.cpp \
		qpycore_types.cpp \
		qpycore_qvariant.cpp moc_qpycore_pyqtproxy.cpp
OBJECTS       = qpycore_chimera.o \
		qpycore_chimera_signature.o \
		qpycore_chimera_storage.o \
		qpycore_init.o \
		qpycore_misc.o \
		qpycore_post_init.o \
		qpycore_pyqtboundsignal.o \
		qpycore_pyqtconfigure.o \
		qpycore_pyqtproperty.o \
		qpycore_pyqtproxy.o \
		qpycore_pyqtpyobject.o \
		qpycore_pyqtsignal.o \
		qpycore_pyqtslot.o \
		qpycore_qmetaobject.o \
		qpycore_qmetaobject_helpers.o \
		qpycore_qobject_helpers.o \
		qpycore_qstring.o \
		qpycore_qstringlist.o \
		qpycore_sip_helpers.o \
		qpycore_types.o \
		qpycore_qvariant.o \
		moc_qpycore_pyqtproxy.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		qpycore.pro \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/static.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/staticlib.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		w_qpycore.pro
QMAKE_TARGET  = qpycore
DESTDIR       = 
TARGET        = libqpycore.a

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET) 

staticlib: $(TARGET)

$(TARGET):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGET)
	$(AR) $(TARGET) $(OBJECTS)


Makefile: w_qpycore.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-gles2/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		qpycore.pro \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/static.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/staticlib.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile w_qpycore.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
qpycore.pro:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/static.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/staticlib.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile w_qpycore.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/qpycore1.0.0 || $(MKDIR) .tmp/qpycore1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qpycore1.0.0/ && $(COPY_FILE) --parents qpycore_api.h qpycore_chimera.h qpycore_misc.h qpycore_pyqtboundsignal.h qpycore_pyqtproperty.h qpycore_pyqtproxy.h qpycore_pyqtpyobject.h qpycore_pyqtsignal.h qpycore_qobject_helpers.h qpycore_sip.h qpycore_sip_helpers.h qpycore_types.h .tmp/qpycore1.0.0/ && $(COPY_FILE) --parents qpycore_chimera.cpp qpycore_chimera_signature.cpp qpycore_chimera_storage.cpp qpycore_init.cpp qpycore_misc.cpp qpycore_post_init.cpp qpycore_pyqtboundsignal.cpp qpycore_pyqtconfigure.cpp qpycore_pyqtproperty.cpp qpycore_pyqtproxy.cpp qpycore_pyqtpyobject.cpp qpycore_pyqtsignal.cpp qpycore_pyqtslot.cpp qpycore_qmetaobject.cpp qpycore_qmetaobject_helpers.cpp qpycore_qobject_helpers.cpp qpycore_qstring.cpp qpycore_qstringlist.cpp qpycore_sip_helpers.cpp qpycore_types.cpp qpycore_qvariant.cpp .tmp/qpycore1.0.0/ && (cd `dirname .tmp/qpycore1.0.0` && $(TAR) qpycore1.0.0.tar qpycore1.0.0 && $(COMPRESS) qpycore1.0.0.tar) && $(MOVE) `dirname .tmp/qpycore1.0.0`/qpycore1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/qpycore1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_qpycore_pyqtproxy.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_qpycore_pyqtproxy.cpp
moc_qpycore_pyqtproxy.cpp: qpycore_chimera.h \
		qpycore_sip.h \
		qpycore_pyqtboundsignal.h \
		qpycore_types.h \
		qpycore_pyqtproperty.h \
		qpycore_pyqtproxy.h
	/usr/bin/moc $(DEFINES) $(INCPATH) qpycore_pyqtproxy.h -o moc_qpycore_pyqtproxy.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

qpycore_chimera.o: qpycore_chimera.cpp qpycore_chimera.h \
		qpycore_sip.h \
		qpycore_misc.h \
		qpycore_shared.h \
		qpycore_pyqtpyobject.h \
		qpycore_types.h \
		qpycore_pyqtproperty.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qpycore_chimera.o qpycore_chimera.cpp

qpycore_chimera_signature.o: qpycore_chimera_signature.cpp qpycore_chimera.h \
		qpycore_sip.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qpycore_chimera_signature.o qpycore_chimera_signature.cpp

qpycore_chimera_storage.o: qpycore_chimera_storage.cpp qpycore_chimera.h \
		qpycore_sip.h \
		qpycore_pyqtpyobject.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qpycore_chimera_storage.o qpycore_chimera_storage.cpp

qpycore_init.o: qpycore_init.cpp qpycore_qobject_helpers.h \
		qpycore_sip.h \
		qpycore_shared.h \
		qpycore_types.h \
		qpycore_chimera.h \
		qpycore_pyqtproperty.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qpycore_init.o qpycore_init.cpp

qpycore_misc.o: qpycore_misc.cpp qpycore_misc.h \
		qpycore_shared.h \
		qpycore_sip.h \
		qpycore_types.h \
		qpycore_chimera.h \
		qpycore_pyqtproperty.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qpycore_misc.o qpycore_misc.cpp

qpycore_post_init.o: qpycore_post_init.cpp qpycore_pyqtboundsignal.h \
		qpycore_chimera.h \
		qpycore_sip.h \
		qpycore_pyqtproperty.h \
		qpycore_pyqtproxy.h \
		qpycore_types.h \
		qpycore_pyqtpyobject.h \
		qpycore_pyqtsignal.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qpycore_post_init.o qpycore_post_init.cpp

qpycore_pyqtboundsignal.o: qpycore_pyqtboundsignal.cpp qpycore_chimera.h \
		qpycore_sip.h \
		qpycore_misc.h \
		qpycore_shared.h \

=== qpy/QtDesigner/Makefile ===
#############################################################################
# Makefile for building: libqpydesigner.a
# Generated by qmake (2.01a) (Qt 4.5.3) on: Mon Feb 1 23:05:13 2010
# Project:  w_qpydesigner.pro
# Template: lib
# Command: /usr/bin/qmake -unix -o Makefile w_qpydesigner.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_STATICPLUGIN -DQT_PLUGIN -DQT_SCRIPT_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQDESIGNER_EXPORT_WIDGETS -DQT_SHARED
CFLAGS        = -pipe -O3 -g -fPIC -D_REENTRANT -Wall -W -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O3 -g -fPIC -D_REENTRANT -Wall -W -fPIC $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-gles2 -I. -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtDesigner -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtXml -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtScript -I/targets/FREMANTLE_ARMEL/usr/include/qt4 -I/targets/FREMANTLE_ARMEL/usr/include/python2.5 -I. -I.
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       =  moc_qpydesignercontainerextension.cpp \
		moc_qpydesignercustomwidgetcollectionplugin.cpp \
		moc_qpydesignercustomwidgetplugin.cpp \
		moc_qpydesignermembersheetextension.cpp \
		moc_qpydesignerpropertysheetextension.cpp \
		moc_qpydesignertaskmenuextension.cpp
OBJECTS       = moc_qpydesignercontainerextension.o \
		moc_qpydesignercustomwidgetcollectionplugin.o \
		moc_qpydesignercustomwidgetplugin.o \
		moc_qpydesignermembersheetextension.o \
		moc_qpydesignerpropertysheetextension.o \
		moc_qpydesignertaskmenuextension.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		qpydesigner.pro \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/static.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/staticlib.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/designer.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		w_qpydesigner.pro
QMAKE_TARGET  = qpydesigner
DESTDIR       = 
TARGET        = libqpydesigner.a
TARGETD       = libqpydesigner.a

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET) 

staticlib: $(TARGET)

$(TARGET):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGET)
	$(AR) $(TARGET) $(OBJECTS)


Makefile: w_qpydesigner.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-gles2/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		qpydesigner.pro \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/static.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/staticlib.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/designer.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtScript.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtDesigner.prl
	$(QMAKE) -unix -o Makefile w_qpydesigner.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
qpydesigner.pro:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/static.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/staticlib.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/designer.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtScript.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtDesigner.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile w_qpydesigner.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/qpydesigner1.0.0 || $(MKDIR) .tmp/qpydesigner1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qpydesigner1.0.0/ && $(COPY_FILE) --parents qpydesignercontainerextension.h qpydesignercustomwidgetcollectionplugin.h qpydesignercustomwidgetplugin.h qpydesignermembersheetextension.h qpydesignerpropertysheetextension.h qpydesignertaskmenuextension.h .tmp/qpydesigner1.0.0/ && (cd `dirname .tmp/qpydesigner1.0.0` && $(TAR) qpydesigner1.0.0.tar qpydesigner1.0.0 && $(COMPRESS) qpydesigner1.0.0.tar) && $(MOVE) `dirname .tmp/qpydesigner1.0.0`/qpydesigner1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/qpydesigner1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_qpydesignercontainerextension.cpp moc_qpydesignercustomwidgetcollectionplugin.cpp moc_qpydesignercustomwidgetplugin.cpp moc_qpydesignermembersheetextension.cpp moc_qpydesignerpropertysheetextension.cpp moc_qpydesignertaskmenuextension.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_qpydesignercontainerextension.cpp moc_qpydesignercustomwidgetcollectionplugin.cpp moc_qpydesignercustomwidgetplugin.cpp moc_qpydesignermembersheetextension.cpp moc_qpydesignerpropertysheetextension.cpp moc_qpydesignertaskmenuextension.cpp
moc_qpydesignercontainerextension.cpp: qpydesignercontainerextension.h
	/usr/bin/moc $(DEFINES) $(INCPATH) qpydesignercontainerextension.h -o moc_qpydesignercontainerextension.cpp

moc_qpydesignercustomwidgetcollectionplugin.cpp: qpydesignercustomwidgetcollectionplugin.h
	/usr/bin/moc $(DEFINES) $(INCPATH) qpydesignercustomwidgetcollectionplugin.h -o moc_qpydesignercustomwidgetcollectionplugin.cpp

moc_qpydesignercustomwidgetplugin.cpp: qpydesignercustomwidgetplugin.h
	/usr/bin/moc $(DEFINES) $(INCPATH) qpydesignercustomwidgetplugin.h -o moc_qpydesignercustomwidgetplugin.cpp

moc_qpydesignermembersheetextension.cpp: qpydesignermembersheetextension.h
	/usr/bin/moc $(DEFINES) $(INCPATH) qpydesignermembersheetextension.h -o moc_qpydesignermembersheetextension.cpp

moc_qpydesignerpropertysheetextension.cpp: qpydesignerpropertysheetextension.h
	/usr/bin/moc $(DEFINES) $(INCPATH) qpydesignerpropertysheetextension.h -o moc_qpydesignerpropertysheetextension.cpp

moc_qpydesignertaskmenuextension.cpp: qpydesignertaskmenuextension.h
	/usr/bin/moc $(DEFINES) $(INCPATH) qpydesignertaskmenuextension.h -o moc_qpydesignertaskmenuextension.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

moc_qpydesignercontainerextension.o: moc_qpydesignercontainerextension.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_qpydesignercontainerextension.o moc_qpydesignercontainerextension.cpp

moc_qpydesignercustomwidgetcollectionplugin.o: moc_qpydesignercustomwidgetcollectionplugin.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_qpydesignercustomwidgetcollectionplugin.o moc_qpydesignercustomwidgetcollectionplugin.cpp

moc_qpydesignercustomwidgetplugin.o: moc_qpydesignercustomwidgetplugin.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_qpydesignercustomwidgetplugin.o moc_qpydesignercustomwidgetplugin.cpp

moc_qpydesignermembersheetextension.o: moc_qpydesignermembersheetextension.cpp

=== qpy/QtGui/Makefile ===
#############################################################################
# Makefile for building: libqpygui.a
# Generated by qmake (2.01a) (Qt 4.5.3) on: Mon Feb 1 23:05:11 2010
# Project:  w_qpygui.pro
# Template: lib
# Command: /usr/bin/qmake -unix -o Makefile w_qpygui.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -g -fPIC -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -g -fPIC -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-gles2 -I. -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/qt4 -I/targets/FREMANTLE_ARMEL/usr/include/python2.5 -I. -I.
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       =  moc_qpytextobject.cpp
OBJECTS       = moc_qpytextobject.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		qpygui.pro \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/static.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/staticlib.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		w_qpygui.pro
QMAKE_TARGET  = qpygui
DESTDIR       = 
TARGET        = libqpygui.a

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET) 

staticlib: $(TARGET)

$(TARGET):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGET)
	$(AR) $(TARGET) $(OBJECTS)


Makefile: w_qpygui.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-gles2/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		qpygui.pro \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/static.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/staticlib.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile w_qpygui.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
qpygui.pro:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/static.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/staticlib.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile w_qpygui.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/qpygui1.0.0 || $(MKDIR) .tmp/qpygui1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qpygui1.0.0/ && $(COPY_FILE) --parents qpytextobject.h .tmp/qpygui1.0.0/ && (cd `dirname .tmp/qpygui1.0.0` && $(TAR) qpygui1.0.0.tar qpygui1.0.0 && $(COMPRESS) qpygui1.0.0.tar) && $(MOVE) `dirname .tmp/qpygui1.0.0`/qpygui1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/qpygui1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_qpytextobject.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_qpytextobject.cpp
moc_qpytextobject.cpp: qpytextobject.h
	/usr/bin/moc $(DEFINES) $(INCPATH) qpytextobject.h -o moc_qpytextobject.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

moc_qpytextobject.o: moc_qpytextobject.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_qpytextobject.o moc_qpytextobject.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== debian/changelog ===
python-qt4 (4.7-maemo5) unstable; urgency=low

  * shuffle around dependencies to minimize installed packages
  * dependency fixes for QtHelp
  * fighting docpurge to have an easily installable examples package

 -- Attila Csipa <maemo@csipa.in.rs>  Mon, 01 Feb 2010 21:13:33 +0100

=== debian/control ===
Source: python-qt4
Priority: extra
Maintainer: Attila Csipa <maemo@csipa.in.rs>
Build-Depends: debhelper (>= 5), dpatch, libqt4-dev (>= 4.5.0), libqt4-phonon (>= 4.5.0), sip4 (>= 4.10),  python2.5-sip4 (>= 4.10),  python2.5-sip4-dev (>= 4.10),  python2.5-dev (>= 2.5.1), python-dbus | libqtcore4, python2.5-dbus | libqt4-dbus (>=4.5.3~git20090723) , libdbus-1-dev (>= 1.0.2), libxext-dev, zlib1g-dev, libexpat1-dev, libqt4-phonon-dev (>= 4.5.0) | libqt4-phonon (>=4.5.3~git20090723), libqt4-opengl-dev (>= 4.5.0) | libqtcore4, python2.5 (>= 2.5.4-1maemo5) | libqtcore4, libqt4-xmlpatterns (>=4.5.0)
Standards-Version: 3.7.2
Homepage: http://www.riverbankcomputing.co.uk/software/pyqt/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-qt4/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-qt4/trunk/
Section: libs

Package: python2.5-qt4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, python2.5 (>= 2.5.1), python2.5-qt4-assistant (= ${binary:Version}), python2.5-qt4-core (= ${binary:Version}), python2.5-qt4-dbus (= ${binary:Version}), python2.5-qt4-designer (= ${binary:Version}), python2.5-qt4-gui (= ${binary:Version}), python2.5-qt4-help (= ${binary:Version}), python2.5-qt4-network (= ${binary:Version}), python2.5-qt4-phonon (= ${binary:Version}), python2.5-qt4-sql (= ${binary:Version}), python2.5-qt4-svg (= ${binary:Version}), python2.5-qt4-script (= ${binary:Version}), python2.5-qt4-test (= ${binary:Version}), python2.5-qt4-webkit (= ${binary:Version}), python2.5-qt4-gl (= ${binary:Version}), python2.5-qt4-xmlpatterns (= ${binary:Version})
Replaces: python-qt4
Description: Python bindings for Qt4
 This package contains the python extensions and modules.

Package: python2.5-qt4-common
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, python2.5 (>= 2.5.1), python2.5-sip4 (>= 4.10.0), python2.5 (>= 2.5.4-1maemo5) | libqtcore4
Replaces: python-qt4
Description: Shared files for PyQt4
 This package contains files that are shared between python-qt4
 and python-qt4-dev.

Package: python2.5-qt4-dev
Section: libdevel
Architecture: any
Depends: python2.5-sip4-dev (>= 4.10.0), python2.5-qt4-common
Replaces: python-qt4-dev
Description: Development files for PyQt4
 This package contains the source SIP files from which the Python.
 bindings for Qt4 are created. They are needed for building PyQt4
 as well as creating bindings for own Qt4 widgets written in C++.

Package: python2.5-qt4-dev-tools
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, python2.5 (>= 2.5.1), python2.5-qt4
Replaces: python-qt4
Description: Python Qt4 development tools.
 This package contains the python extensions and modules.

Package: python2.5-qt4-assistant
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-maemo5-assistant | libqt4-assistant (>= 4.5.0), python2.5-qt4-core (= ${binary:Version})
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.

Package: python2.5-qt4-core
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqtcore4 | libqt4-maemo5-core | libqt4-core (>=4.5.3~git20090723), python2.5-qt4-common (= ${binary:Version})
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.

Package: python2.5-qt4-dbus
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, python2.5 (>= 2.5.1), python-dbus (>= 0.80.0)| libqtcore4, python2.5-dbus | libqt4-dbus (>=4.5.3~git20090723)
Description: Python bindings for Qt dbus mainloop.
 This package contains the python extensions and modules.

Package: python2.5-qt4-designer
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-maemo5-designer | libqt4-designer (>= 4.5.0), python2.5-qt4-core (= ${binary:Version})
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.

Package: python2.5-qt4-gui
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqtgui4 | libqt4-maemo5-gui | libqt4-gui (>=4.5.3~git20090723), python2.5-qt4-core (= ${binary:Version})
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.

Package: python2.5-qt4-help
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-maemo5-help | libqt4-help (>= 4.5.0), python2.5-qt4-core (= ${binary:Version}), libqt4-maemo5-help | libqt4-help (>= 4.5.0), libqt4-maemo5-network | libqt4-network (>= 4.5.0), libqt4-maemo5-dbus | libqt4-dbus (>= 4.5.0), libqt4-maemo5-sql | libqt4-sql (>= 4.5.0)
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.

Package: python2.5-qt4-network
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-maemo5-network | libqt4-network (>= 4.5.0), python2.5-qt4-core (= ${binary:Version})
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.

Package: python2.5-qt4-phonon
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-maemo5-phonon | libqt4-phonon (>= 4.5.0), python2.5-qt4-core (= ${binary:Version})
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.

Package: python2.5-qt4-sql
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-maemo5-sql | libqt4-sql (>= 4.5.0), python2.5-qt4-core (= ${binary:Version})
Replaces: python-qt4
Description: Python bindings for PyQt4's SQL module
 The SQL module of PyQt4 provides widgets and utility classes for
 SQL database access.

Package: python2.5-qt4-svg
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-maemo5-svg | libqt4-svg (>= 4.5.0), python2.5-qt4-core (= ${binary:Version})
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.

Package: python2.5-qt4-script
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-maemo5-script | libqt4-script (>= 4.5.0), python2.5-qt4-core (= ${binary:Version})
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.

Package: python2.5-qt4-gl
Replaces: python2.5-qt4-opengl
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-maemo5-opengl | libqt4-opengl (>= 4.5.0), python2.5-qt4-core (= ${binary:Version})
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.

Package: python2.5-qt4-test
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-maemo5-test | libqt4-test (>= 4.5.0), python2.5-qt4-core (= ${binary:Version})
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.

Package: python2.5-qt4-webkit
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-maemo5-webkit | libqt4-webkit (>= 4.5.0), python2.5-qt4-webkit (= ${binary:Version}), python2.5-qt4-core (= ${binary:Version})
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.

Package: python2.5-qt4-xml
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-maemo5-xml | libqt4-xml (>= 4.5.0), python2.5-qt4-core (= ${binary:Version})
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.

Package: python2.5-qt4-xmlpatterns
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-maemo5-xmlpatters | libqt4-xmlpatterns (>= 4.5.0), python2.5-qt4-core (= ${binary:Version})
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.

Package: python2.5-qt4-doc
Architecture: all
Section: user/development
Depends: ${shlibs:Depends}, python2.5-qt4-core, python2.5-qt4-help, python2.5-qt4-xml, python2.5-qt4-gui
Description: Python Qt bindings demo and docs
 PyQt4 exposes the Qt4 GUI toolkit in Python.
 .
 This package contains Python-specific documentation for PyQt4 and
 the Qt example programs ported to Python.
XB-Maemo-Display-Name: PyQt examples and documentation
XB-Maemo-Icon-26: 
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABmJLR0QA/wD/
  AP+gvaeTAAAACXBIWXMAAABIAAAASABGyWs+AAAACXZwQWcAAAAwAAAAMADO
  7oxXAAAIR0lEQVRo3u2ZeWzUxxXHPzO/3+56L5+L1zb4AGxzpdgECimBVBBV
  tCHpH42qpod6UJF/KrWNIio1f0QoqpRGqtRSJW2jSm3Upk2btPRQJVoiooSS
  0ASFcEQQwICNbdbX+t7Du7+d6R+7/nl3fWAvBhSJJ/1k78ybN+/75r0382bg
  Y07C/m9PEwhMNOtQemNdlatyx70lJXVBl9+QwgI6gMvANaAXGAbigN6//Y07
  DGBPE4APwQ9QPF4bdFZ+dnOZqA44kEJk8yeBUaAf6AKuApcywDpA94AYAmK3
  C5hgTxOkAIMfAs8UewzzsQcDLKt0otS85VjAGDCQBawNdFsamAgBg1rrmEYo
  KWCxwImM9ZcDh9E0blrt4+GtZbOwa7K97sY82gIRyQDrngSmNZeFoB24DgwC
  EdAKTPZvf31BAMzM31agHgFLAw6kZBbr30j5bB4NCBMoyXwrgQcAhCCVVppw
  BkQHiJcgtTDtswAsARxCgMshFypjFuvPCdYAijPfcuB+4COgAAAiM+/klDnz
  TneZdExrlFKZYWkeISRimtIzuZzOljZbxwIAzDlsEp2wfw2PJ7Emiqgta6Cm
  NIjDlIwlwoRjXUSTIyBEFhCRJWU2xWcFtIAVyJYzDVCawUppTl2KEDBa2XP/
  t2ipXYfX5UEISKoJwrEuzvQe5lTfv4lbEYRIu6LSmlhcU+rxI6UmoeJorfLk
  zzr5za5ARqzWHDszwhJjC89+9RmqSgI5/S7DQ42vmSrvSqp8jfzn6i+JJUeR
  UhIeTnLspOZXX99HXWAJR9p/Q9vQe0hh3JTlJ2l6xObJkgIuX4/R11vK05//
  Xo7yA9FODn7wGkfOvU0yZSGFQUtwF/fVPJqJCQiFJ/AaVaypbKHGtxq/s7wg
  S88fQB5ZKc3JC+M8sn4X9yxbZbcPT/Ty90s/5o3uA3z3z0/y6rv/yuAX3Fv1
  EEHvCjSKzr4Y62qaKfEUAxqtdVbw32IAQkB4NMnomIvdrTty+i6G36Fr9BzB
  chf1Sy1efOsVRqKjAPidAaqLPkl3j2RFaSufWbfNHucyvbgNH6Z03gYAQCic
  IOCtYnX1Crtdo+kev4BGgYa6YBHtg+1c6e+0eTxqNR9dLOenX/wJX9i0y5a4
  fdlX+Ob6n/Fg/V4MYd70SkwHkCevbyhBQ0UtZZ4Su81SCUYn+gGBBvweE0vH
  uBa+bvMsD9RR4SvHNEwMORWwfleAal8TQe8KO1PdshVQGkYiFrVl1ZiGabdb
  KkHcGk/j1eAwBaahGBgfsnmqyyporJU89ZdnCQ332dY53XOU19te5kzPmyid
  usUAlCY+oanwleYBs7BUwt6wDCmQpmYkFrF53M4iguUujpw7ymhszG6/PHKM
  t7pf5IP+f2YA5G9Ei7wCyZTG43LntGut0FnWEwIMARPJeJZgA1O6QRpk52Yp
  JIaUM7hPYXvBvJxQ5k2WToV5FhOgVO4Oa+RsVreGbriRiWmKgRACIcS0gblt
  GsX8K6LCAcyxclKAKQXRRCwPgEQwZV2t0/HiMB1Z6msslbwNAPJjJ+u3lAKX
  UzAYGclhMYSJQzptN9Jao5TA6/LYPCmdZMKK3MQpZ74A5iAhwO8xCA33kVJT
  QWtIJy7Tl+YBrBSkUlDi9tk8iVScqDUyWUDcZgCTBY6AQImDa4PdjMWnUqQp
  nfidFWlGARNJhUqZBIunDnqRxCCR5PAMRc5stFhpVJCTmqvKXfSMhegY6M5i
  EVR6liMyITQ8lsRj+qmvqLF5+qLtxK0xcrNCutjR6EwavrliZvYVyJDSECh1
  IMxxjl44kdPXUNqKx1FMSisudEbYUNdCXWBpGrdWXBk+idIWGpXjflXeVSQj
  1XjUWhzSXbDlZweQJ8/tlKxpcHHw/UMMRobt9hpfM/fVPEo47MWrmtn3ub24
  TKdt/bahE3jdJpaO0zXUa4/bUPUQT2x9ga9t2Ifb9KH1YgPIA6E1rF/pIxQ7
  z2//+1d7QikMti77Mt//1M/5/d5fsHlFCwDJVJzj3a8xEu+j2OOgYSn86b1/
  MBxNHyechpOAv5S4GsRSibwgL6SknImyylQNeIoMdm708cr7L7HEX8ZjWx7B
  aTowpYOVlVPH7GhylGNdf+Rs/xF7U9v2iRI6Qv/jhXeeYmPDPUhD0R/tIDR+
  iag1mhfkhRT18yCtoarCxQMbkxw8f4DzvSfZtWY321dtto/KPeNtHLryPJ2j
  H6brhIwVnA5Jc72ThDrL8dDZKVWnX8MUFMUzZ6EZVlJrKPU72LjG5Er0MN/5
  w9N0DfVM9aPoj7Zj6cQ0nbROu1z2N0N6LejcMfNRYhZbaJ3+6oIexhJ9vNt2
  yu4Leht5uPEJNlTuxml4WKA/ayBUGICZjhJzzK0Bv9ugsc7gd8f/xkgmOKWQ
  rA18mh3138Bt+ufILjO29wAnKIAKrum2rC1hWJ3muUMH6Ah3krAmSKkkE6lI
  3sVVvsIzLu+rwLlC9JgexJM78Q1Wwe2U7NzkJzxymF+fPE1DYBkuh8l4YpDx
  5FDW0XrO2IwBB4HngNTiZaH53NaRLiWD5Q60HqBzvD+j7mRdkKOMxdTLTifo
  K8AlEGeA48AYQrF/25sFAEhbu8Ajo0ZrAUiksBWdfKnpBDKK0ga0k/b1ISAO
  YlGeoCbvRj8EOjTU25fROasw7Zo8Re6TUr6ioYyit/ytLO1Cbt4mxuMCngea
  8hQdBzEAugvEVdAXQbSBziiqh0BEb7Wis1HarN9uoq7USWg0ue1LOwNPNtcW
  jSnNxYxV24HroAczFlW0CPYX37mn1ekAgNYfbaDIKcXmdV5noMRMKo26k++/
  d+ku3aW79PGg/wP/hTYOCuXsvAAAACV0RVh0Y3JlYXRlLWRhdGUAMjAxMC0w
  MS0yN1QwMTowMjo0NSswMTowMFDI42AAAAAldEVYdG1vZGlmeS1kYXRlADIw
  MDgtMDktMjhUMTE6MTM6NDErMDI6MDD/u/1KAAAAGXRFWHRTb2Z0d2FyZQBB
  ZG9iZSBJbWFnZVJlYWR5ccllPAAAAABJRU5ErkJggg==

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1


PYVER=2.5
PYTHON=python$(PYVER)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

include /usr/share/dpatch/dpatch.make

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp: patch-stamp
	dh_testdir
	# Add here commands to configure the package.
	# Remove the # below to build only QtGui and QtCore
	python2.5 configure.py -w --confirm-license # -e QtGui -e QtCore
	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	cp -rav maemo debian/tmp/
	cp -rav doc debian/tmp/
	cp -rav examples debian/tmp/


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs ChangeLog
#	dh_installdocs -X.svn
#	dh_installexamples -X.svn
	if [ -n "`dpkg -l| grep  maemo-version|grep 5.`" ] ; then cp debian/python2.5-qt4-dbus.install.fremantle debian/python2.5-qt4-dbus.install  ; else cp debian/python2.5-qt4-dbus.install.diablo debian/python2.5-qt4-dbus.install && rm debian/python2.5-qt4-gl.install ; fi
	dh_install --source=debian/tmp -v
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress -X.py
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	if [ `which maemo-optify` ] ; then maemo-optify python2.5-qt4-doc ; fi
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure patch unpatch
